ZARAFA-SPOOLER(8)

NAME
zarafa-spooler - Start the Zarafa spooler.

SYNOPSIS

zarafa-spooler [OPTION...] [SERVERNAME]

DESCRIPTION

The spooler sends all pending Zarafa e-mail to the recipients. When started, the program will keep running and sending messages whenever needed.

The outgoing mailserver can be overwritten from the config file by specifying this on the commandline.

The default settings of the spooler program are defined in zarafa-spooler.cfg(5).

OPTIONS

Various options are possible. None of these options are required.

--config, -c spooler.cfg
    Specify the location of the spooler.cfg file. If the spooler.cfg file is not specified, the spooler will try to load /etc/zarafa/spooler.cfg. If that file is not present, it will continue using its default settings.

--host, -h path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafad/server.sock. Overrides the config file setting.

--foreground, -F
    Run in the foreground. Normally the spooler will daemonize and run in the background.

USAGE

To start the spooler delivering e-mail to recipients:

zarafa-spooler

To start the spooler delivering e-mail through smtp.example.com:

zarafa-spooler smtp.example.com

The spooler process will keep running and watching the outgoing queue for new mail to send. You may also use the init.d scripts:

/etc/init.d/zarafa-spooler [start| stop| restart]

SIGNALS

The following signals can be sent to the zarafa-spooler process:

HUP
    When the HUP signal is received, some options from the configuration file are reloaded. The reloadable options are listed in the zarafa-spooler.cfg(5) manual page.

    Also, when using log_method = file, the logfile will be closed and a new logfile will be opened. You can use this signal in your logrotate system.

TERM
    To gracefully let the service exit, the normal TERM signal is used. Because of multiple running threads, it may take up to 60 seconds for the server to completely shutdown.

AUTHOR

Written by Zarafa.

SEE ALSO

zarafa-spooler.cfg(5), zarafa-server(8)